﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek AFG3000 Spurious Find IEEE /RSA3000
DATE:                  2010-06-04 12:55:19
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       124
CONFIGURATION:         Tektronix RSA3308A
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        AFG 3000 Series
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek RSA3000 Measure IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@RSA3000]
  1.003  ENDIF

  1.004  MATH         @RSA3000_Func = "PeakSearch"
  1.005  CALL         Sub Tek RSA3000 Measure IEEE
  1.006  MATH         @PkVal = @RSA3000_PkAmp; @PkFreq = @RSA3000_PkFreq

# Is spurious?
  1.007  MATH         L[1] = @PkFreq - @TestFreq * INT(@PkFreq / @TestFreq)
  1.008  MATH         L[2] = INT(@PkFreq / @TestFreq)
  1.009  MATH         L[3] = L[1] || (L[2] > 10)
  1.010  MATH         L[4] = (@PkVal <= -80)

  1.011  IF           L[3] || L[4]
# Find the max spurious, stop search.
  1.012  MATH         NextSearch = 0

# Find fundamental or harmonic, need next search.
  1.013  ELSE
  1.014  MATH         NextSearch = 1
  1.015  MATH         CompFreq = @PkFreq
  1.016  ENDIF

# Compare with fundamental.
  1.017  IF           (@PkFreq / @TestFreq == 1)
  1.018  MATH         FundVal = @PkVal
  1.019  MATH         @TestFreq = @PkFreq
  1.020  MATH         @FundFind = 1
  1.021  ELSE
  1.022  MATH         @FundFind = 0
  1.023  ENDIF

# Next peak value finding loop.
  1.024  IF           NextSearch
# Set the Initial value.
  1.025  MATH         Loop = 1
  1.026  MATH         @PkFreq = 0
  1.027  MATH         @PkVal = -1000

  1.028  WHILE        Loop
  1.029  MATH         @RSA3000_Func = "NextPeak"
  1.030  CALL         Sub Tek RSA3000 Measure IEEE
  1.031  MATH         NtVal = @RSA3000_NtPkAmp; NtFreq = @RSA3000_NtPkFreq
  1.032  MATH         L[1] = NtFreq - @TestFreq * INT(NtFreq / @TestFreq)
  1.033  MATH         L[2] = INT(NtFreq / @TestFreq)
  1.034  MATH         L[3] = L[1] || (L[2] > 10)
  1.035  MATH         L[4] = (NtFreq == CompFreq)
  1.036  MATH         L[5] = (NtVal <= -80)

# Maybe spurious
  1.037  IF           L[3] || L[4] || L[5]
  1.038  MATH         Loop = 0

  1.039  IF           NtVal > @PkVal
  1.040  MATH         @PkVal = NtVal
  1.041  MATH         @PkFreq = NtFreq
  1.042  ENDIF

  1.043  ELSE         # maybe harmonic or fundamental.

  1.044  IF           (NtFreq / @TestFreq == 1)
  1.045  MATH         FundVal = NtVal
  1.046  MATH         @TestFreq = NtFreq
  1.047  MATH         @FundFind = 1
  1.048  ENDIF

  1.049  MATH         CompFreq = NtFreq
  1.050  ENDIF

  1.051  ENDW

  1.052  ENDIF

  1.053  END
