﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TDS5000B Identification IEEE
INSTRUMENT:            Sub Tek TDS5000B Reset IEEE
INSTRUMENT:            Sub Tek TDS5000B Setup IEEE
INSTRUMENT:            Sub Tek TDS5000B Measure IEEE
DATE:                  2010-06-04 12:04:54
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       354
CONFIGURATION:         Tektronix TDS5000B
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        TDS 5032B, TDS 5034B, TDS 5052B, TDS 5054B, TDS 5104B
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         ID                           PSUBI("Identification")
  1.002  JMPL         RESET                        PSUBI("Reset")
  1.003  JMPL         SETUP                        PSUBI("Setup")
  1.004  JMPL         MEASURE                      PSUBI("Measure")
  1.005  DISP         Subprocedure not found!
  1.006  END

  1.007  EVAL   Increment step number

# =============== Sub Tek TDS5000B Identification IEEE ======================

  2.001  LABEL        ID

# Reset TDS5000B.
  2.002  IEEE2        [@TDS5kB]*RST

# Identification query.
  2.003  IEEE2        [@TDS5kB]*IDN?[I$]
  2.004  MATH         @TDS5000B_Manufacturer = FLD(MEM2, 1, ",")
  2.005  MATH         @TDS5000B_ModelNum     = FLD(MEM2, 2, ",")
  2.006  MATH         @TDS5000B_SerialNum    = FLD(MEM2, 3, ",")
  2.007  MATH         @TDS5000B_FirmwareRev  = FLD(MEM2, 4, ",")

  2.008  MATH         L[1] = ZCMPI(@TDS5000B_Manufacturer, "TEKTRONIX")
  2.009  MATH         L[2] = ZCMPI(@TDS5000B_ModelNum, "TDS5032B")
  2.010  MATH         L[2] = ZCMPI(@TDS5000B_ModelNum, "TDS5052B") || L[2]
  2.011  MATH         L[2] = ZCMPI(@TDS5000B_ModelNum, "TDS5034B") || L[2]
  2.012  MATH         L[2] = ZCMPI(@TDS5000B_ModelNum, "TDS5054B") || L[2]
  2.013  MATH         L[2] = ZCMPI(@TDS5000B_ModelNum, "TDS5104B") || L[2]

  2.014  MATH         @Error = NOT(L[1]) || NOT(L[2])

  2.015  IF           @Error
  2.016  DISP         User-configured Instrument:
  2.016  DISP
  2.016  DISP         [32][V @TDS5000B_Manufacturer] [V @TDS5000B_ModelNum]
  2.016  DISP
  2.016  DISP         with alias "5000B" is not a Tektronix TDS 5000B Series.
  2.017  ENDIF

  2.018  END

  2.019  EVAL   Increment step number

# =============== Sub Tek TDS5000B Reset IEEE ===============================

  3.001  LABEL        RESET
  3.002  IEEE2        [@TDS5kB]*RST;HEADER OFF

  3.003  END


  3.004  EVAL   Increment step number

# =============== Sub Tek TDS5000B Setup IEEE ===============================

  4.001  LABEL        SETUP

  4.002  MATH         L[1] = ZCMPI(@TDS5000B_ModelNum, "TDS5034B")
  4.003  MATH         L[2] = ZCMPI(@TDS5000B_ModelNum, "TDS5054B")
  4.004  MATH         L[3] = ZCMPI(@TDS5000B_ModelNum, "TDS5104B")

# Set channel selection.
  4.005  IF           ZCMPI(@TDS5000B_ChanSelect, "1")
  4.006  MATH         Ch1 = "ON";  Ch2 = "OFF"; Ch3 = "OFF"; Ch4 = "OFF"
  4.007  ELSEIF       ZCMPI(@TDS5000B_ChanSelect, "2")
  4.008  MATH         Ch1 = "OFF"; Ch2 = "ON";  Ch3 = "OFF"; Ch4 = "OFF"
  4.009  ELSEIF       ZCMPI(@TDS5000B_ChanSelect, "3")
  4.010  MATH         Ch1 = "OFF"; Ch2 = "OFF"; Ch3 = "ON";  Ch4 = "OFF"
  4.011  ELSEIF       ZCMPI(@TDS5000B_ChanSelect, "4")
  4.012  MATH         Ch1 = "OFF"; Ch2 = "OFF"; Ch3 = "OFF"; Ch4 = "ON"
  4.013  ENDIF

  4.014  MEM2         =SELECT:CH1 [V Ch1];CH2 [V Ch2]

  4.015  IF           L[1] || L[2] || L[3]
  4.016  MEM2         =[MEM2];CH3 [V Ch3];CH4 [V Ch4]
  4.017  ENDIF

  4.018  MATH         ChanSelectCmd = MEM2
  4.019  IEEE2        [@TDS5kB][V ChanSelectCmd]

# Set selected channel terminal and vertical scale.
  4.020  IF           ZCMPI(@TDS5000B_ChanSelect, "1")
  4.021  MATH         Ch1Term       = BASE(@TDS5000B_Ch1Term)
  4.022  MATH         Ch1VerScale   = BASE(@TDS5000B_Ch1VertScale)
  4.023  MATH         VerScaleCmd   = "CH1:SCA " & Ch1VerScale
  4.024  IEEE2        [@TDS5kB]CH1:TER [V Ch1Term]
  4.025  IEEE2        [@TDS5kB][V VerScaleCmd]

  4.026  ELSEIF       ZCMPI(@TDS5000B_ChanSelect, "2")
  4.027  MATH         Ch2Term       = BASE(@TDS5000B_Ch2Term)
  4.028  MATH         Ch2VerScale   = BASE(@TDS5000B_Ch2VertScale)
  4.029  MATH         VerScaleCmd   = "CH2:SCA " & Ch2VerScale
  4.030  IEEE2        [@TDS5kB]CH2:TER [V Ch2Term]
  4.031  IEEE2        [@TDS5kB][V VerScaleCmd]

  4.032  ELSEIF       ZCMPI(@TDS5000B_ChanSelect, "3")
  4.033  MATH         Ch3Term       = BASE(@TDS5000B_Ch3Term)
  4.034  MATH         Ch3VerScale   = BASE(@TDS5000B_Ch3VertScale)
  4.035  MATH         VerScaleCmd   = "CH3:SCA " & Ch3VerScale
  4.036  IEEE2        [@TDS5kB]CH3:TER [V Ch3Term]
  4.037  IEEE2        [@TDS5kB][V VerScaleCmd]

  4.038  ELSEIF       ZCMPI(@TDS5000B_ChanSelect, "4")
  4.039  MATH         Ch4Term       = BASE(@TDS5000B_Ch4Term)
  4.040  MATH         Ch4VerScale   = BASE(@TDS5000B_Ch4VertScale)
  4.041  MATH         VerScaleCmd   = "CH4:SCA " & Ch4VerScale
  4.042  IEEE2        [@TDS5kB]CH4:TER [V Ch4Term]
  4.043  IEEE2        [@TDS5kB][V VerScaleCmd]

  4.044  ENDIF

# Horizontal scale setting.
  4.045  MATH         HorzScale = BASE(@TDS5000B_HorzScale)
  4.046  MATH         HorScaleCmd = "HOR:SCA " & HorzScale
  4.047  IEEE2        [@TDS5kB][V HorScaleCmd]

  4.048  END

  4.049  EVAL   Increment step number

# =============== Sub Tek TDS5000B Measure IEEE ==================

  5.001  LABEL        MEASURE

  5.002  IF           ZCMPI(@TSD5000B_Func, "RiseTime")
  5.003  IEEE2        [@TDS5kB]TRIG:A:EDGE:SLO RIS
  5.004  IEEE2        [@TDS5kB]MEASU:MEAS1:TYP RIS
  5.005  IEEE2        [@TDS5kB]MEASU:STATI:MODE ALL
  5.006  IEEE2        [@TDS5kB]MEASU:MEAS1:STATE ON
  5.007  WAIT         -t 3 Scope Stablizing...
  5.008  IEEE2        [@TDS5kB]MEASU:MEAS1:MEAN?[I]
  5.009  MATH         @TDS5000B_RiseTime = MEM * 1E+9

  5.010  ELSEIF       ZCMPI(@TSD5000B_Func, "FallTime")
  5.011  IEEE2        [@TDS5kB]TRIG:A:EDGE:SLO FALL
  5.012  IEEE2        [@TDS5kB]MEASU:MEAS1:TYP FALL
  5.013  IEEE2        [@TDS5kB]MEASU:STATI:MODE ALL
  5.014  IEEE2        [@TDS5kB]MEASU:MEAS1:TYP FALL;STATE ON
  5.015  WAIT         -t 3 Scope Stablizing...
  5.016  IEEE2        [@TDS5kB]MEASU:MEAS1:MEAN?[I]
  5.017  MATH         @TDS5000B_FallTime = MEM * 1E+9

  5.018  ELSEIF       ZCMPI(@TSD5000B_Func, "Amplitude")
  5.019  DISP         Period measurement not implemented!

  5.020  ELSEIF       ZCMPI(@TSD5000B_Func, "Area")
  5.021  DISP         Period measurement not implemented!

  5.022  ELSEIF       ZCMPI(@TSD5000B_Func, "Burst")
  5.023  DISP         Period measurement not implemented!

  5.024  ELSEIF       ZCMPI(@TSD5000B_Func, "Carea")
  5.025  DISP         Period measurement not implemented!

  5.026  ELSEIF       ZCMPI(@TSD5000B_Func, "CMean")
  5.027  DISP         Period measurement not implemented!

  5.028  ELSEIF       ZCMPI(@TSD5000B_Func, "Crms")
  5.029  DISP         Period measurement not implemented!

  5.030  ELSEIF       ZCMPI(@TSD5000B_Func, "Delay")
  5.031  DISP         Period measurement not implemented!

  5.032  ELSEIF       ZCMPI(@TSD5000B_Func, "Distduty")
  5.033  DISP         Period measurement not implemented!

  5.034  ELSEIF       ZCMPI(@TSD5000B_Func, "Extinctdb")
  5.035  DISP         Period measurement not implemented!

  5.036  ELSEIF       ZCMPI(@TSD5000B_Func, "Extinctpct")
  5.037  DISP         Period measurement not implemented!

  5.038  ELSEIF       ZCMPI(@TSD5000B_Func, "Extinctratio")
  5.039  DISP         Period measurement not implemented!

  5.040  ELSEIF       ZCMPI(@TSD5000B_Func, "Eyeheight")
  5.041  DISP         Period measurement not implemented!

  5.042  ELSEIF       ZCMPI(@TSD5000B_Func, "Eyewidth")
  5.043  DISP         Period measurement not implemented!

  5.044  ELSEIF       ZCMPI(@TSD5000B_Func, "Frequency")
  5.045  DISP         Period measurement not implemented!

  5.046  ELSEIF       ZCMPI(@TSD5000B_Func, "High")
  5.047  DISP         Period measurement not implemented!

  5.048  ELSEIF       ZCMPI(@TSD5000B_Func, "Hits")
  5.049  DISP         Period measurement not implemented!

  5.050  ELSEIF       ZCMPI(@TSD5000B_Func, "Low")
  5.051  DISP         Period measurement not implemented!

  5.052  ELSEIF       ZCMPI(@TSD5000B_Func, "Maximum")
  5.053  DISP         Period measurement not implemented!

  5.054  ELSEIF       ZCMPI(@TSD5000B_Func, "Mean")
  5.055  DISP         Period measurement not implemented!

  5.056  ELSEIF       ZCMPI(@TSD5000B_Func, "Median")
  5.057  DISP         Period measurement not implemented!

  5.058  ELSEIF       ZCMPI(@TSD5000B_Func, "Minimum")
  5.059  DISP         Period measurement not implemented!

  5.060  ELSEIF       ZCMPI(@TSD5000B_Func, "Ncross")
  5.061  DISP         Period measurement not implemented!

  5.062  ELSEIF       ZCMPI(@TSD5000B_Func, "Nduty")
  5.063  DISP         Period measurement not implemented!

  5.064  ELSEIF       ZCMPI(@TSD5000B_Func, "Novershoot")
  5.065  DISP         Period measurement not implemented!

  5.066  ELSEIF       ZCMPI(@TSD5000B_Func, "Nwidth")
  5.067  DISP         Period measurement not implemented!

  5.068  ELSEIF       ZCMPI(@TSD5000B_Func, "Pbase")
  5.069  DISP         Period measurement not implemented!

  5.070  ELSEIF       ZCMPI(@TSD5000B_Func, "Pcross")
  5.071  DISP         Period measurement not implemented!

  5.072  ELSEIF       ZCMPI(@TSD5000B_Func, "Pctcross")
  5.073  DISP         Period measurement not implemented!

  5.074  ELSEIF       ZCMPI(@TSD5000B_Func, "Pduty")
  5.075  DISP         Period measurement not implemented!

  5.076  ELSEIF       ZCMPI(@TSD5000B_Func, "Peakhits")
  5.077  DISP         Period measurement not implemented!

  5.078  ELSEIF       ZCMPI(@TSD5000B_Func, "Period")
  5.079  DISP         Period measurement not implemented!

  5.080  ELSEIF       ZCMPI(@TSD5000B_Func, "Phase")
  5.081  DISP         Period measurement not implemented!

  5.082  ELSEIF       ZCMPI(@TSD5000B_Func, "Pk2pk")
  5.083  DISP         Period measurement not implemented!

  5.084  ELSEIF       ZCMPI(@TSD5000B_Func, "Pkpkjitter")
  5.085  DISP         Period measurement not implemented!

  5.086  ELSEIF       ZCMPI(@TSD5000B_Func, "Pkpknoise")
  5.087  DISP         Period measurement not implemented!

  5.088  ELSEIF       ZCMPI(@TSD5000B_Func, "Povershoot")
  5.089  DISP         Period measurement not implemented!

  5.090  ELSEIF       ZCMPI(@TSD5000B_Func, "Ptot")
  5.091  DISP         Period measurement not implemented!

  5.092  ELSEIF       ZCMPI(@TSD5000B_Func, "Pwidth")
  5.093  DISP         Period measurement not implemented!

  5.094  ELSEIF       ZCMPI(@TSD5000B_Func, "Qfactor")
  5.095  DISP         Period measurement not implemented!

  5.096  ELSEIF       ZCMPI(@TSD5000B_Func, "Rms")
  5.097  DISP         Period measurement not implemented!

  5.098  ELSEIF       ZCMPI(@TSD5000B_Func, "Rmsjitter")
  5.099  DISP         Period measurement not implemented!

  5.100  ELSEIF       ZCMPI(@TSD5000B_Func, "Pmsnoise")
  5.101  DISP         Period measurement not implemented!

  5.102  ELSEIF       ZCMPI(@TSD5000B_Func, "Sigma1")
  5.103  DISP         Period measurement not implemented!

  5.104  ELSEIF       ZCMPI(@TSD5000B_Func, "Sigma2")
  5.105  DISP         Period measurement not implemented!

  5.106  ELSEIF       ZCMPI(@TSD5000B_Func, "Sigma3")
  5.107  DISP         Period measurement not implemented!

  5.108  ELSEIF       ZCMPI(@TSD5000B_Func, "Sixsigmajit")
  5.109  DISP         Period measurement not implemented!

  5.110  ELSEIF       ZCMPI(@TSD5000B_Func, "Snratio")
  5.111  DISP         Period measurement not implemented!

  5.112  ELSEIF       ZCMPI(@TSD5000B_Func, "Stddev")
  5.113  DISP         Period measurement not implemented!

  5.114  ELSEIF       ZCMPI(@TSD5000B_Func, "Undefined")
  5.115  DISP         Period measurement not implemented!

  5.116  ELSEIF       ZCMPI(@TSD5000B_Func, "Waveforms")
  5.117  DISP         Period measurement not implemented!

  5.118  ELSE
  5.119  DISP         Unrecognized measurement function!

  5.120  ENDIF

  5.121  END


