﻿©Fluke                                                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tek AFG3102:(1 yr) VER /NRVS,RSA3000,TDS5104B,LFCTR,DMM
DATE:                  2010-06-04 12:29:45
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       501
CONFIGURATION:         Rohde&Schwarz NRVS
CONFIGURATION:         Tektronix RSA3308A
CONFIGURATION:         Tektronix TDS5104B
CONFIGURATION:         Low Frequency Counter
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        AFG 3102
# 
#  Source(s):
#        AFG3000 Series Arbitrary/Function Generators Service Manual
#        071-1640-05
# 
#  Compatibility:
#        MET/CAL 7.20 SP3 (7.20Z) or later
# 
#  This procedure contains the following tests whose Test Uncertainty Ratio
#  are less than 4:1 based on Rohde & Schwarz NRVS and NRV-Z5 diode sensor
#  specifications.
#        AC Flatness:
#          1 MHZ Relative to 100 kHz  TUR 2.5000
# 
#  Subprocedures:
#        Sub Display Copyright
#        Sub Select Failed Test Mode
#        Sub Select Guardbanding & Ver Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek AFG3000 (1 yr) THD Test VER VISA /RSA3000
#        Sub Tek AFG310x (1 yr) Spurious VER VISA /RSA3000
#        Sub Tek AFG3000 Set Bandwidth & Channel Numbers
#        Sub Tek AFG3000 Self-Test VER VISA
#        Sub Tek AFG3000 Internal Calibration VER VISA
#        Sub Tek AFG310x (1 yr) Edge time VER VISA /TDS5104B
#        Sub Tek AFG3000 Remote Interface Connection
#        Sub Tek AFG302xB (1 yr) Harmonic VER VISA /RSA3000
#        Sub Tek AFG3000 (1 yr) Frequency/Period VER VISA /LFCTR
#        Sub Tek AFG302xB, 310x (1 yr) Amplitude VER VISA /DMM
#        Sub Tek AFG302xB, 310x (1 yr) DC Offset VER VISA /DMM
#        Sub Tek AFG310x (1 yr) Flatness VER VISA /NRVS,NRV-Z5
#        Sub Tek AFG3000 Spurious Find IEEE /RSA3000
#
#  Flexible Driver subprocedures:
#        Sub Initialize /LFCTR (Rev. 1.10 or later)
#        Sub Reset /LFCTR
#        Sub Measure /LFCTR
#        Sub Setup /LFCTR
#        Sub Read /LFCTR
#        Sub Send Command /LFCTR (Rev. 1.3 or later)
#
#        Sub Initialize /DMM (Rev. 1.10 or later)
#        Sub Reset /DMM
#        Sub Measure /DMM
#        Sub Setup /DMM
#        Sub Read /DMM
#        Sub Get Accuracy /DMM
#        Sub Send Command /DMM (Rev. 1.2 or later)
#
#  User configurated standards driver subprocedures:
#        Sub Tek TDS5000B Reset IEEE
#        Sub Tek TDS5000B Setup IEEE
#        Sub Tek TDS5000B Measure IEEE
#        Sub Tek TDS5000B Identification IEEE
#
#        Sub Tek RSA3000 Idendification IEEE
#        Sub Tek RSA3000 Reset IEEE
#        Sub Tek RSA3000 Setup IEEE
#        Sub Tek RSA3000 Measure IEEE
#
#        Sub Rohde & Schwarz NRVS Identification IEEE
#        Sub Rohde & Schwarz NRVS Setup IEEE
#        Sub Rohde & Schwarz NRVS Reset IEEE
#        Sub Rohde & Schwarz NRVS Frequency Correction IEEE
#        Sub Rohde & Schwarz NRVS Measure IEEE
#        Sub Rohde & Schwarz NRVS Error Status IEEE
#
# Required Files:
#        AFG3000_Amp_DMM.jpg
#
#  Flexible Standards Required:
#        LF Counter (LFCTR):
# 
#          Ch. A Frequency Range: 10 MHz
#           Accuracy: 0.01 ppm or better
# 
#          Example: Agilent 53132A or equivalent
# 
#        Digital Multimeter (DMM)
# 
#          AC volts: 0.1% accuracy or better
#          DC volts: 50 ppm, resolution 100¦ÌV accuracyor better
#          Resistance: ¡À 0.05 Ohm accuracy or better
# 
#          Example: Agilent 3458A or equivalent
# 
#  User configurated standards Required:
#        Power Meter/Sensor:
# 
#          100 kHz to 250 MHz, 1 ¦ÌW to 100 mW(-30 dBm to +20 dBm)
#           Accuracy: 0.02 dB, resolution: 0.01 dB
# 
#          Standard Used: Rohde & Schwarz NRVS power meter
#                         Rohde & Schwarz NRV-Z5 power sensor
# 
#        Power Sensor:
# 
#          100 kHz to 250 MHz, 1 ¦ÌW to 100 mW (¨C30 dBm to +20 dBm)
# 
#          Standard Used: Rohde & Schwarz NRV-Z5
# 
#        Oscillioscope:
# 
#          1 GHz Bandwidth, 50 Ohm input termination
# 
#          Standard Used: Tektronix TDS5104B
# 
#        Spectrum Analyzer:
# 
#          20 kHz to 1.25 GHz
# 
#          Standard Used: Tektronix RSA3000 series
# 
#  Additional Accessory Required:
#        Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
#        Adapter, BNC (f) to Type "N" (m), 50 Ohm
#        Adapter, BNC (f) to Dual-Banana plug
#        50 Ohm terminator
#        10X (50 Ohm) attenuator
# 
# The procedure was tested using:
#        Model:           AFG 3102
#        Firmware:        FV: 3.1.1
#        Options:         NA
#        Serial Number:   C010038
#
# Average run time during testing :  30 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@NRVS]
  1.003  IEEE         [@RSA3000]
  1.004  IEEE         [@TDS5kB]
  1.005  IEEE         [@LFCTR]
  1.006  IEEE         [@DMM]
  1.007  ENDIF

  1.008  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.009  ASK+           K

  1.010  IF           NOT(VERSIONCHECK("7.20Z"))
  1.011  END
  1.012  ENDIF

  1.013  CALL         Sub Display Copyright

  1.014  HEAD         PRELIMINARY INSTRUCTIONS
  1.015  DISP         Ensure a minimum UUT warm-up time of at least
  1.015  DISP         20 minutes has been allowed to elapse, prior
  1.015  DISP         to beginning verification.

# Test to ensure MET/CAL initialization file parameter "acc_check" = "yes"
  1.016  IF           ZCMPI(INI("startup", "acc_check"), "no")
  1.017  HEAD         INCORRECT MET/CAL® INITIALIZATION FILE SETTING!
  1.018  DISP         The file parameter setting is: "acc_check=no"
  1.018  DISP
  1.018  DISP         For correct procedure execution, this parameter
  1.018  DISP         MUST be set to: "acc_check=yes"
  1.018  DISP
  1.018  DISP         Select "Advance" to terminate the procedure, exit
  1.018  DISP         MET/CAL®, change the initialization file parameter,
  1.018  DISP         restart MET/CAL, then restart the procedure.
  1.019  END
  1.020  ENDIF

  1.021  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.022  CALL         Sub Select Failed Test Mode
  1.023  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.024  MATH         @VisaUSB = 1; @VisaLAN = 1; @VisaGPIB = 1
  1.025  CALL         Sub Tek AFG3000 Remote Interface Connection
  1.026  JMPL         END                           @Abort

  1.027  VISA         *RST;*OPC?[I!]

  1.028  HEAD         UUT IDENTIFICATION
  1.029  CALL         Sub IEEE-488.2 Identification Query VISA

  1.030  MATH         @UUT_Manufacturer = "Tektronix"
  1.031  MATH         @UUT_Model        = "AFG3102"
  1.032  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.033  JMPL         END                     @Abort

# Flexible driver initialization.
  1.034  CALL         Sub Initialize /LFCTR
  1.035  CALL         Sub Initialize /DMM

# User configurated standards identification.
  1.036  CALL         Sub Tek TDS5000B Identification IEEE
  1.037  CALL         Sub Tek RSA3000 Identification IEEE
  1.038  CALL         Sub Rohde & Schwarz NRVS Identification IEEE

  1.039  HEAD         EQUIPMENT REQUIREMENTS
  1.040  OPBR         -z Do you want to REVIEW the list of flexible standards,
  1.040  OPBR         additional equipment and/or accessories required?

  1.041  IF           MEM1
  1.042  HEAD         FLEXIBLE STANDARDS
  1.043  MATH         LF = @LFCTR_Ch1
  1.044  DISP         The minimum use specifications of the following devices,
  1.044  DISP         configured as flexible standards, must be satisfied.
  1.044  DISP
  1.044  DISP         [32]NOMENCLATURE        ALIAS   DEVICE NAME
  1.044  DISP
  1.044  DISP         [32]LF Counter          LFCTR  [V @LFCTR_DevName] [V LF]
  1.044  DISP         [32]Digital Multimeter  DMM    [V @DMM_DevName]

  1.045  HEAD         -2 LF Counter (LFCTR)
  1.046  OPBR         -z LFCTR: [V @LFCTR_DevName]
  1.046  OPBR
  1.046  OPBR         Minimum Use Specifications:
  1.046  OPBR         [32] [V LF] Frequency Range: 10 MHz
  1.046  OPBR         [32]   Accuracy: 0.01 ppm or better
  1.046  OPBR
  1.046  OPBR         Does the [V @LFCTR_DevName] satisfy the above Minimum
  1.046  OPBR         Use Specifications?
  1.047  MATH         LFCTR = MEM1


  1.048  HEAD         -2 Digital Multimeter (DMM)
  1.049  OPBR         -z DMM: [V @DMM_DevName]
  1.049  OPBR
  1.049  OPBR         Minimum Use Specifications:
  1.049  OPBR         [32] AC volts: 0.1% accuracy or better
  1.049  OPBR         [32] DC volts: 50 ppm, res 100¦ÌV accuracyor better
  1.049  OPBR         [32] Resistance: ¡À 0.05 Ohm accuracy or bette
  1.049  OPBR
  1.049  OPBR         Does the [V @DMM_DevName] satisfy the above Minimum
  1.049  OPBR         Use Specifications?
  1.050  MATH         DMM = MEM1

  1.051  HEAD         -2

  1.052  IF           NOT(LFCTR)
  1.053  DISP         Currently configured LFCTR (LF Counter):
  1.053  DISP
  1.053  DISP         [32][V @LFCTR_DevName]
  1.053  DISP
  1.053  DISP         does not satisfy procedure Minimum Use Specifications.
  1.054  ENDIF

  1.055  IF           NOT(DMM)
  1.056  DISP         Currently configured DMM (Digital Multimeter):
  1.056  DISP
  1.056  DISP         [32][V @DMM_DevName]
  1.056  DISP
  1.056  DISP         does not satisfy procedure Minimum Use Specifications.
  1.057  ENDIF

  1.058  IF           NOT(LFCTR) || NOT(DMM)
  1.059  HEAD         FLEXIBLE STANDARD(S) UNSATISFACTORY FOR PROCEDURE USE!
  1.060  DISP         Flexible Standard(s) currently configured for use with
  1.060  DISP         this procedure have been identified as not satisfying
  1.060  DISP         the Minimum Use Specifications.
  1.060  DISP
  1.060  DISP         Select "Advance" to abort procedure, configure suitable
  1.060  DISP         device(s) to replace those identified, then restart the
  1.060  DISP         procedure from the beginning.
  1.061  END
  1.062  ENDIF

  1.063  HEAD         USER CONFIGURATED STANDARDS REQUIRED
  1.064  DISP         The minimum use specifications of the following devices,
  1.064  DISP         configured as additional standards, must be satisfied.
  1.064  DISP
  1.064  DISP         [32]NOMENCLATURE        ALIAS   DEVICE NAME
  1.064  DISP
  1.064  DISP         [32]Power Meter         NRVS    [V @NRVS_ModelNum]
  1.064  DISP         [32]Spectrum Analyzer   3000    [V @RSA3000_ModelNum]
  1.064  DISP         [32]Oscillioscope       5000B   [V @TDS5000B_ModelNum]

  1.065  HEAD         -2 Power Meter/Sensor ( NRVS)
  1.066  OPBR         -z Power Meter: [V @NRVS_ModelNum]
  1.066  OPBR         Power Sensor: [V @NRVSENSOR_ModelNum]
  1.066  OPBR
  1.066  OPBR         Minimum Use Specifications:
  1.066  OPBR         [32]  100 kHz to 250 MHz
  1.066  OPBR         [32]  1 ¦ÌW to 100 mW(-30 dBm to +20 dBm)
  1.066  OPBR         [32]  Accuracy: 0.02 dB, resolution: 0.01 dB
  1.066  OPBR
  1.066  OPBR         Note: This procedure is based on Rohde & Schwarz NRVS
  1.066  OPBR         power meter and NRV-Z5 power sensor.
  1.066  OPBR
  1.066  OPBR         Does the [V @NRVS_ModelNum] and [V @NRVSENSOR_ModelNum]
  1.066  OPBR         satisfy the above Minimum Use Specifications?
  1.067  MATH         POWERMETER = MEM1

  1.068  HEAD         -2 Spectrum Analyzer ( RSA 3000)
  1.069  DISP         -z Spectrum Analyzer [V @RSA3000_ModelNum]
  1.069  DISP
  1.069  DISP         Minimum Use Specifications:
  1.069  DISP         [32] 20 kHz to 1.25 GHz

  1.070  HEAD         -2 Oscillioscope ( TDS 5000B)
  1.071  OPBR         -z Oscillioscope: [V @TDS5000B_ModelNum]
  1.071  OPBR
  1.071  OPBR         Minimum Use Specifications:
  1.071  OPBR         [32] 50 Ohm input termination
  1.071  OPBR         [32] 1 GHz Bandwidth or higher
  1.071  OPBR
  1.071  OPBR         Does the [V @TDS5000B_ModelNum] satisfy the above
  1.071  OPBR         Minimum Use Specifications?
  1.072  MATH         SCOPE = MEM1

  1.073  HEAD         -2

  1.074  IF           NOT(POWERMETER)
  1.075  DISP         Currently configured power meter and/or power sensor:
  1.075  DISP
  1.075  DISP         [32][V @NRVS_ModelNum]
  1.075  DISP         [32][V @NRVSENSOR_ModelNum]
  1.075  DISP
  1.075  DISP         does not satisfy procedure Minimum Use Specifications.
  1.076  ENDIF

  1.077  IF           NOT(SCOPE)
  1.078  DISP         Currently configured Oscillioscope (TDS 5000B):
  1.078  DISP
  1.078  DISP         [32][V @TDS5000B_ModelNum]
  1.078  DISP
  1.078  DISP         does not satisfy procedure Minimum Use Specifications.
  1.079  ENDIF

  1.080  IF           NOT(SCOPE) || NOT(POWERMETER)
  1.081  HEAD         FLEXIBLE STANDARD(S) UNSATISFACTORY FOR PROCEDURE USE!
  1.082  DISP         User configurated standard(s) currently configured for
  1.082  DISP         use with this procedure have been identified as not
  1.082  DISP         satisfying the Minimum Use Specifications.
  1.082  DISP
  1.082  DISP         Select "Advance" to abort procedure, configure suitable
  1.082  DISP         device(s) to replace those identified, then restart the
  1.082  DISP         procedure from the beginning.
  1.083  END
  1.084  ENDIF

  1.085  HEAD         ADDITIONAL ACCESSORIES REQUIRED
  1.086  DISP         Additional accessories required:
  1.086  DISP
  1.086  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  1.086  DISP         - Adapter, BNC (f) to Type "N" (m), 50 Ohm
  1.086  DISP         - 10X (50 Ohm) attenuator
  1.086  DISP         - 50 Ohm terminator, one set
  1.086  DISP         - Adapter, BNC (f) to Dual-Banana plug
  1.087  ENDIF

  1.088  CALL         Sub Tek AFG3000 Set Bandwidth & Channel Numbers

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to minimize
# connection changes during execution. Test results, however, are reported in
# test number sequence, consistent with the source documentation.
#
# Tek AFG 3102
#
#  Order  Results                            Run Time (Execution)
#  -----  ---------------------------------  ---------------------------------
#    1.   Self Test                          Self Test
#    2.   Internal Calibration               Internal Calibration
#    3.   Frequency/Period Test              Frequency/Period Test
#    4.   Amplitude Test (CH1)               Amplitude Test (CH1)
#    5.   Amplitude Test (CH2)               DC Offset Test (CH1)
#    6.   DC Offset Test (CH1)               AC Flatness Test (CH1)
#    7.   DC Offset Test (CH2)               Harmonic Distortion (CH1)
#    8.   AC Flatness Test (CH1)             THD Test (CH1)
#    9.   AC Flatness Test (CH2)             Spurious Test (CH1)
#   10.   Harmonic Distortion (CH1)          Rise Time Test (CH1)
#   11.   Harmonic Distortion (CH2)          Amplitude Test (CH2)
#   12.   THD Test (CH1)                     DC Offset Test (CH2)
#   13.   THD Test (CH2)                     AC Flatness Test (CH2)
#   14.   Spurious Test (CH1)                Harmonic Distortion (CH2)
#   15.   Spurious Test (CH2)                THD Test (CH2)
#   16.   Rise Time Test (CH1)               Spurious Test (CH2)
#   17.   Rise Time Test (CH2)               Rise Time Test (CH2)

  1.089  CALL         Sub Tek AFG3000 Self-Test VER VISA
  1.090  JMPL         END                           @Abort

  1.091  CALL         Sub Tek AFG3000 Internal Calibration VER VISA
  1.092  JMPL         END                           @Abort

  1.093  MATH         @Chan = 1
  1.094  CALL         Sub Tek AFG3000 (1 yr) Frequency/Period VER VISA /LFCTR

  1.095  MATH         @Chan = 1
  1.096  CALL         Sub Tek AFG302xB, 310x (1 yr) Amplitude VER VISA /DMM
  1.097  JMPL         DC_OFFSET_CH1

  1.098  LABEL        AMPLITUDE_CH2
  1.099  MATH         @Chan = 2
  1.100  CALL         Sub Tek AFG302xB, 310x (1 yr) Amplitude VER VISA /DMM
  1.101  JMPL         DC_OFFSET_CH2

  1.102  LABEL        DC_OFFSET_CH1
  1.103  MATH         @Chan = 1
  1.104  CALL         Sub Tek AFG302xB, 310x (1 yr) DC Offset VER VISA /DMM
  1.105  JMPL         AC_FLATNESS_CH1

  1.106  LABEL        DC_OFFSET_CH2
  1.107  MATH         @Chan = 2
  1.108  CALL         Sub Tek AFG302xB, 310x (1 yr) DC Offset VER VISA /DMM
  1.109  JMPL         AC_FLATNESS_CH2

  1.110  LABEL        AC_FLATNESS_CH1
  1.111  MATH         @Chan = 1
  1.112  CALL         Sub Tek AFG310x (1 yr) Flatness VER VISA /NRVS,NRV-Z5
  1.113  JMPL         HARMONIC_CH1

  1.114  LABEL        AC_FLATNESS_CH2
  1.115  MATH         @Chan = 2
  1.116  CALL         Sub Tek AFG310x (1 yr) Flatness VER VISA /NRVS,NRV-Z5
  1.117  JMPL         HARMONIC_CH2

  1.118  LABEL        HARMONIC_CH1
  1.119  MATH         @Chan = 1
  1.120  CALL         Sub Tek AFG310x (1 yr) Harmonic VER VISA /RSA3000
  1.121  JMPL         THD_CH1

  1.122  LABEL        HARMONIC_CH2
  1.123  MATH         @Chan = 2
  1.124  CALL         Sub Tek AFG310x (1 yr) Harmonic VER VISA /RSA3000
  1.125  JMPL         THD_CH2

  1.126  LABEL        THD_CH1
  1.127  MATH         @Chan = 1
  1.128  CALL         Sub Tek AFG3000 (1 yr) THD Test VER VISA /RSA3000
  1.129  JMPL         SPURIOUS_CH1

  1.130  LABEL        THD_CH2
  1.131  MATH         @Chan = 2
  1.132  CALL         Sub Tek AFG3000 (1 yr) THD Test VER VISA /RSA3000
  1.133  JMPL         SPURIOUS_CH2

  1.134  LABEL        SPURIOUS_CH1
  1.135  MATH         @Chan = 1
  1.136  CALL         Sub Tek AFG310x (1 yr) Spurious VER VISA /RSA3000
  1.137  JMPL         RISE_FALL_TIME_CH1

  1.138  LABEL        SPURIOUS_CH2
  1.139  MATH         @Chan = 2
  1.140  CALL         Sub Tek AFG310x (1 yr) Spurious VER VISA /RSA3000
  1.141  JMPL         RISE_FALL_TIME_CH2

  1.142  LABEL        RISE_FALL_TIME_CH1
  1.143  MATH         @Chan = 1
  1.144  CALL         Sub Tek AFG310x (1 yr) Edge time VER VISA /TDS5104B
  1.145  JMPL         AMPLITUDE_CH2

  1.146  LABEL        RISE_FALL_TIME_CH2
  1.147  MATH         @Chan = 2
  1.148  CALL         Sub Tek AFG310x (1 yr) Edge time VER VISA /TDS5104B

  1.149  LABEL        END

  1.150  IF           @Abort
  1.151  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.152  ELSE
  1.153  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.154  ENDIF

  1.155  END
